## net.sf.saxon.expr
Interface MappingFunction

All Known Implementing Classes:
  Atomizer.AtomizingFunction, ForExpression.MappingAction, TupleSorter.TupleUnwrapper

    public interface MappingFunction

MappingFunction is an interface that must be satisfied by an object passed to a MappingIterator. It represents an object which, given an Item, can return a SequenceIterator that delivers a sequence of zero or more Items.

Method Summary
`SequenceIterator` `map(Item item)` Map one item to a sequence.

Method Detail

### map

    SequenceIterator map(Item item)
                         throws XPathException

  Map one item to a sequence.

  Parameters:
    `item` - The item to be mapped.
  Returns:
    one of the following: (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) null if it maps to an empty sequence.
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.